<?
	$mailqueries=array(
		"committee_all"=>array("name"=>"Committee members (all)","query"=>
			"SELECT firstname, lastname, organization, email FROM users WHERE types LIKE '%committee' AND deleted='no'"),

		"judges_all"=>array("name"=>"Judges from all years","query"=>
			"SELECT firstname, lastname, email FROM judges ORDER BY email"),

		"judges_active_thisyear"=>array("name"=>"Judges active for this year", "query"=>
			"SELECT DISTINCT(judges.id), firstname, lastname, email FROM judges,judges_years WHERE judges_years.year='".$config['FAIRYEAR']."' AND judges.id=judges_years.judges_id ORDER BY email"),

		"judges_inactive"=>array("name"=>"Judges not active for this year", "query"=>
			"SELECT DISTINCT(judges.id), firstname, lastname, email FROM judges LEFT JOIN judges_years ON judges_years.judges_id=judges.id WHERE judges_years.year!='".$config['FAIRYEAR']."' ORDER BY email"),

		"judges_active_complete_thisyear"=>array("name"=>"Judges active for this year and complete", "query"=>
			"SELECT DISTINCT(judges.id), firstname, lastname, email FROM judges,judges_years WHERE judges_years.year='".$config['FAIRYEAR']."' AND judges.id=judges_years.judges_id AND judges.complete='yes' ORDER BY email"),

		"judges_active_incomplete_thisyear"=>array("name"=>"Judges active for this year but not complete", "query"=>
			"SELECT DISTINCT(judges.id), firstname, lastname, email FROM judges,judges_years WHERE judges_years.year='".$config['FAIRYEAR']."' AND judges.id=judges_years.judges_id AND judges.complete!='yes' ORDER BY email"),

		"participants_complete_thisyear"=>array("name"=>"Participants complete this year","query"=>
			"SELECT firstname, lastname, students.email FROM students,registrations WHERE students.registrations_id=registrations.id AND registrations.year='".$config['FAIRYEAR']."' AND ( registrations.status='complete' OR registrations.status='paymentpending') ORDER BY students.email"),

		"participants_complete_paymentpending_thisyear"=>array("name"=>"Participants complete this year but payment pending","query"=>
			"SELECT firstname, lastname, students.email FROM students,registrations WHERE students.registrations_id=registrations.id AND registrations.year='".$config['FAIRYEAR']."' AND registrations.status!='complete' AND registrations.status='paymentpending' ORDER BY students.email"),

		"participants_notcomplete_thisyear"=>array("name"=>"Participants not complete this year","query"=>
			"SELECT firstname, lastname, students.email FROM students,registrations WHERE students.registrations_id=registrations.id AND registrations.year='".$config['FAIRYEAR']."' AND registrations.status!='complete' AND registrations.status!='new' ORDER BY students.email"),

		"special_award_sponsors_confirmed"=>array("name"=>"Special award sponsors (confirmed only)","query"=>
			"SELECT DISTINCT(award_sponsors.id), organization, firstname, lastname, award_contacts.email FROM award_sponsors, award_awards, award_contacts WHERE award_awards.award_sponsors_id=award_sponsors.id AND award_contacts.award_sponsors_id=award_sponsors.id AND award_sponsors.confirmed='yes' AND award_awards.award_types_id='2'"),

		"special_award_sponsors_unconfirmed"=>array("name"=>"Special award sponsors (unconfirmed only)","query"=>
			"SELECT DISTINCT(award_sponsors.id), organization, firstname, lastname, award_contacts.email FROM award_sponsors, award_awards, award_contacts WHERE award_awards.award_sponsors_id=award_sponsors.id AND award_contacts.award_sponsors_id=award_sponsors.id AND award_sponsors.confirmed='no' AND award_awards.award_types_id='2'"),

		"special_award_sponsors_all"=>array("name"=>"Special award sponsors (all)","query"=>
			"SELECT DISTINCT(award_sponsors.id), organization, firstname, lastname, award_contacts.email FROM award_sponsors, award_awards, award_contacts WHERE award_awards.award_sponsors_id=award_sponsors.id AND award_contacts.award_sponsors_id=award_sponsors.id AND award_awards.award_types_id='2'"),
		"school_principals"=>array("name"=>"School principals","query"=>
			"SELECT school, principal AS name, schoolemail AS email FROM schools WHERE schools.year='".$config['FAIRYEAR']."' AND schoolemail!=''"),
		"school_scienceheads"=>array("name"=>"School science heads","query"=>
			"SELECT school, sciencehead AS name, scienceheademail AS email FROM schools WHERE schools.year='".$config['FAIRYEAR']."' AND scienceheademail!=''"),
		"school_teachers_thisyear"=>array("name"=>"Teachers (as entered by students) this year","query"=>
			"SELECT DISTINCT(teacheremail) AS email, teachername AS name FROM students WHERE year='".$config['FAIRYEAR']."' AND teacheremail!=''"),
		"school_teachers_lastyear"=>array("name"=>"Teachers (as entered by students) last year","query"=>
			"SELECT DISTINCT(teacheremail) AS email, teachername AS name FROM students WHERE year='".($config['FAIRYEAR']-1)."' AND teacheremail!=''"),
		"school_teachers_allyears"=>array("name"=>"Teachers (as entered by students) all years","query"=>
			"SELECT DISTINCT(teacheremail) AS email, teachername AS name FROM students WHERE teacheremail!=''"),
		);
?>
